#ifndef JPEG_INCLUDED
#define JPEG_INCLUDED
#include "Array.h"
void JPEGWriteColor( const char* fileName , ConstPointer( unsigned char ) pixels , int width , int height , int quality );
void JPEGWriteGray ( const char* fileName , ConstPointer( unsigned char ) pixels , int width , int height , int quality );
Pointer( unsigned char ) JPEGReadColor( const char* fileName , int& width , int& height );
Pointer( unsigned char ) JPEGReadGray ( const char* fileName , int& width , int& height );
bool JPEGReadColor( const char* fileName , unsigned char* pixels , int width , int height );
bool JPEGReadGray ( const char* fileName , unsigned char* pixels , int width , int height );
bool JPEGGetImageSize( const char* fileName , int& width , int& height , int& channelsPerPixel , int& bitsPerChannel );
bool JPEGGetImageSize( const char* fileName , int& width , int& height );

#endif //JPEG_INCLUDED
