#ifndef PNG_INCLUDED
#define PNG_INCLUDED
#include "Array.h"
void PNGWriteColor( const char* fileName , ConstPointer( unsigned char ) pixels , int width , int height );
void PNGWriteGray ( const char* fileName , ConstPointer( unsigned char ) pixels , int width , int height );
Pointer( unsigned char ) PNGReadColor( const char* fileName , int& width , int& height );
Pointer( unsigned char ) PNGReadGray ( const char* fileName , int& width , int& height );
bool PNGReadColor( const char* fileName , unsigned char* pixels , int width , int height );
bool PNGReadGray ( const char* fileName , unsigned char* pixels , int width , int height );
bool PNGGetImageSize( const char* fileName , int& width , int& height , int& channelsPerPixel , int& bitsPerChannel );
bool PNGGetImageSize( const char* fileName , int& width , int& height );

#endif // PNG_INCLUDED
