#ifndef TIFF_INCLUDED
#define TIFF_INCLUDED
#include "Array.h"
void TIFFWriteColor( const char* fileName , ConstPointer( unsigned char ) pixels , int width , int height );
void TIFFWriteGray ( const char* fileName , ConstPointer( unsigned char ) pixels , int width , int height );
Pointer( unsigned char ) TIFFReadColor( const char* fileName , int& width , int& height );
Pointer( unsigned char ) TIFFReadGray ( const char* fileName , int& width , int& height );
bool TIFFReadColor( const char* fileName , unsigned char* pixels , int width , int height );
bool TIFFReadGray ( const char* fileName , unsigned char* pixels , int width , int height );
bool TIFFGetImageSize( const char* fileName , int& width , int& height );
bool TIFFGetImageSize( const char* fileName , int& width , int& height , int& channelsPerPixel , int& bitsPerChannel );

#endif //TIFF_INCLUDED
